### File

`packages/components/eui-card/components/eui-card-header/eui-card-header.component.ts`

### Description

The eui-card-header component provides the header options of the eui-card.

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-card-header`
imports | `NgTemplateOutlet` `AsyncPipe` `EUI_ICON` `EUI_ICON_BUTTON_EXPANDER`
templateUrl | `./eui-card-header.component.html`
styleUrl | `./eui-card-header.scss`

### Index

###### Properties
string uiStateService
###### Methods
Public onToggle Public onToggleHeader
###### Inputs
collapseLabel expandLabel hasBottomExpander hasFullTitle hasHeaderClickToggle isHeaderMultilines
###### Outputs
collapse
###### HostBindings
class

### Inputs

collapseLabel
Type : `string`
Default value : `'collapse'`
Sets the collapseLabel Input property.

expandLabel
Type : `string`
Default value : `'expand'`
Sets the expandLabel Input property.

hasBottomExpander
Type : `boolean`
Default value : `false`
Input property to expand the bottom part of the card header.

hasFullTitle
Type : `boolean`
Default value : `false`
Input property to display the title within the full card container's width.

hasHeaderClickToggle
Type : `boolean`
Default value : `true`
Input property to enable/disable the header click toggle.

isHeaderMultilines
Type : `boolean`
Default value : `false`
Input property to display the title & subtitle content in multiple lines.

### Outputs

collapse
Type : `EventEmitter`
Event emitted when the card header collapses.

### HostBindings

class
Type : `string`
Default value : `'eui-card-header'`
Binds the class to the component.

### Methods

Public onToggle
`onToggle(event: Event)`
Fires when the icon button expander is clicked/pressed to expand/collapse the bottom expander. Parameters :
Name | Type | Optional | Description
event | `Event` | No | The event that fires the toggle.
Returns : `void`

Public onToggleHeader
`onToggleHeader()`
Toggles the header when the header is clicked and emits the isCollapsed state. Returns : `void`

### Properties

string
Type : `string`
Default value : `'eui-card-header'`
Decorators : `@HostBinding('class')`
Binds the class to the component.

uiStateService
Default value : `inject(UiStateService)`

# results matching ""

# No results matching ""